core.node.services / IdentityService

# IdentityService

`interface IdentityService`

An identity service maintains an bidirectional map of Partys to their associated public keys and thus supports lookup of a party given its key. This is obviously very incomplete and does not reflect everything a real identity service would provide.

### Functions

partyFromKey | `abstract fun partyFromKey(key: PublicKey): Party?`

### Inheritors

FixedIdentityService | `class FixedIdentityService : IdentityService` Scaffolding: a dummy identity service that just expects to have identities loaded off disk or found elsewhere.